package proof;

import java.util.*;
import sdsi.*;

/**
 * start a NameNode chain at some public key. This is the key
 * this chain will define.
 *
 * @deprecated part of the original {@link Prover} class.
 * {@link Prover2} is the tool clients should use now.
 */
public class RootNameNode extends NameNode {
	SDSIPrincipal principal;
	String name;

	RootNameNode(SDSIPrincipal principal, String name) {
		this.next = null;
		this.principal = principal;
		this.name = name;
	}

	public boolean hasDefs() {
		return false;
	}

	public SDSIPrincipal getPrincipal() { return principal; }
	public Vector getNameVector() {
		return new Vector();
	}
}
